Bug 596796 - regression for 'suspend to ram/resume' on laptop asus f3sc
regression for 'suspend to ram/resume' on laptop asus f3sc
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 10:19 EDT by kakashizilla
Modified: 2011-06-02 11:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 11:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (4.02 KB, application/octet-stream)
2010-05-27 10:19 EDT, kakashizilla
no flags Details

  None (edit)
Description kakashizilla 2010-05-27 10:19:01 EDT
Created attachment 417262 [details]
log file

Description of problem:
I have just upgrade from Fedora 11, and found a big regression, trying 
to suspend to ram my laptop (asus f3sc).
Where everything was fine on fedora 11, the laptop freeze on resume in fedora 13.
It goes to sleep fine as the log shows, but freeze at resume, even in init 3.
This is a big problem when you work with laptops.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
A perfect suspend to ram/resume function

Additional info:
Comment 1 kakashizilla 2010-05-29 05:48:53 EDT
Hummmm... I am not sure this is a kernel bug.
I have installed FC12 : suspend to ram/resume worked fine just after the installation.
After the update of the system, the resume failed as in FC13, even if I boot on the initial kernel (2.6.31.5-127.fc12.x86_64).

I do not know which update breaks this function.
Does someone have an idea ?
Comment 2 kakashizilla 2010-06-02 03:46:16 EDT
OK, I have found where is the problem.
I have followed this documentation : http://www.mjmwired.net/kernel/Documentation/power/basic-pm-debugging.txt
The problem happens at the [devices] stage, so I tried to suspend after unloading some modules.
And the guilty module is : 'atl1'
Suspend to ram/resume works fine after unloading it ! So the workaround is very easy.
It is tested on an up to date FC12. I have not yet reinstalled FC13, but I guess it is the same.
Comment 3 kakashizilla 2010-06-03 08:20:31 EDT
It is the same on FC13, and the workaround is valid.
The card is : 
Ethernet controller: Atheros Communications L1 Gigabit Ethernet (rev b0)
Comment 4 Bug Zapper 2011-06-02 09:14:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 kakashizilla 2011-06-02 11:00:08 EDT
Fixed in newer kernel: patch https://patchwork.kernel.org/patch/276071/

Note You need to log in before you can comment on or make changes to this bug.